Analytics API

Analytics API reference

Scalar API Reference
v1.0
OpenAPI 3.0.2

MapTiler Service API

Server:https://service.maptiler.com/v1

MapTiler Service API

Client Libraries

analytics

Get usage analytics timeline

Query Parameters
  • period
    Type: string enum
    required
    • billing periods are based on account subscription
    • for classifiers api_keys and service_credentials are supported only daily periods: current_billing_period, last_billing_period, past_30_days, past_90_days
    values
    • current_billing_period
    • last_billing_period
    • past_30_days
    • past_90_days
    • past_12_billing_periods
    • past_12_months
    • all
  • classifier
    Type: string enum
    required

    classifies datasets

    values
    • services
    • api_keys
    • service_credentials
  • group
    Type: string enum

    group ID filter, mandatory for CSV format

    values
    • request
    • session
    • export
  • format
    Type: string enum

    response media type

    values
    • json
    • csv
Responses
  • 400
    • period_not_found: Selected time period does not exist (for example last_billing_period of new account)
    • account_over_limit: Account currently has too many entities (api_keys or service_credentials) to be queried.
    • response_too_large: There were too much data in the result (could be historical).
Request Example for get/analytics/api_usage/timeline
curl 'https://service.maptiler.com/v1/analytics/api_usage/timeline?period=current_billing_period&classifier=services'
{
  "since": "2026-08-31",
  "until": "2026-08-31",
  "datasets": [
    {
      "group_id": "request",
      "item_id": "string",
      "data": [
        {
          "date": "2026-08-31",
          "value": 1
        }
      ],
      "estimated_data": {
        "date": "2026-08-31",
        "value": 1
      }
    }
  ],
  "legend": [
    {
      "item_id": "string",
      "label": "string",
      "description": null
    }
  ]
}

Get top usage analytics

Query Parameters
  • period
    Type: string enum
    required
    • billing periods are based on account subscription
    • for classifiers api_keys and service_credentials are supported only daily periods: current_billing_period, last_billing_period, past_30_days, past_90_days
    values
    • current_billing_period
    • last_billing_period
    • past_30_days
    • past_90_days
    • past_12_billing_periods
    • past_12_months
    • all
  • classifier
    Type: string enum
    required

    classifies datasets

    values
    • services
    • api_keys
    • service_credentials
  • group
    Type: string enum

    group ID filter, mandatory for CSV format

    values
    • request
    • session
    • export
  • format
    Type: string enum

    response media type

    values
    • json
    • csv
  • limit
    Type: integer

    number of top items within response group

Responses
  • 400
    • period_not_found: Selected time period does not exist (for example last_billing_period of new account)
Request Example for get/analytics/api_usage/top
curl 'https://service.maptiler.com/v1/analytics/api_usage/top?period=current_billing_period&classifier=services'
{
  "since": "2026-08-31",
  "until": "2026-08-31",
  "datasets": [
    {
      "group_id": "request",
      "data": [
        {
          "item_id": "string",
          "value": 1
        }
      ]
    }
  ],
  "legend": [
    {
      "item_id": "string",
      "label": "string",
      "description": null
    }
  ]
}
Using the OpenAPI Specification?
Get the openapi.yaml
Was this helpful?
MapTiler Service API
Analytics API
Analytics API